﻿@using X.PagedList.Mvc.Core;
@using TestJose.DataAccess;
@using X.PagedList.Web.Common;

@model X.PagedList.IPagedList<Project>

@{
    ViewData["Title"] = "Projects";
}

<h4>Projects</h4>

@if (User.IsInRole("Admin"))
{
    <p>
        <a asp-action="Create">New Project</a>
    </p>
}
<table class="table">
    <thead>
        @using (Html.BeginForm("Index", "Projects", FormMethod.Get))
        {
            <tr>
                <th>
                    @Html.DisplayName("Type")
                </th>
                <th>
                    @Html.DisplayName("Name")
                </th>
                @*<th>
                    @Html.DisplayName("Site")
                </th>*@
                <th>
                    @Html.DisplayName("Year")
                </th>
                <th></th>
            </tr>
            <tr>
                <th>
                    @Html.DropDownList("filterType", ViewBag.TypeProjects, "All", new { onchange = "form.submit()", @class = "form-control" })
                </th>
                <th>
                    @Html.TextBox("filterName", "", new { onchange = "form.submit()", @class = "form-control", placeholder = "Name" })
                </th>
                @*<th>
                    @Html.TextBox("filterSite", "", new { onchange = "form.submit()", @class = "form-control", placeholder = "Site" })
                </th>*@
                <th>
                    @Html.DropDownList("filterYear", ViewBag.Years, "All", new { onchange = "form.submit()", @class = "form-control" })
                </th>
                <th></th>
            </tr>
        }
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.TypeProject.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                @*<td>
                    @Html.DisplayFor(modelItem => item.Site)
                </td>*@
                <td>
                    @Html.DisplayFor(modelItem => item.Year)
                </td>

                <td>
                    @if (User.IsInRole("Admin"))
                    {
                        <a asp-action="Edit" asp-route-id="@item.ID">Edit |</a>
                        <a asp-action="Delete" asp-route-id="@item.ID">Delete |</a>
                    }
                    <a asp-action="Details" asp-route-id="@item.ID">Details |</a>
                    <a asp-controller="CommentProjects" asp-action="Index" asp-route-projectId="@item.ID">Comments</a>
                </td>
            </tr>
        }
    </tbody>
</table>

@Html.PagedListPager(Model, page => Url.Action("Index", new { page }),
        new PagedListRenderOptionsBase
        {
            PageClasses = new string[] { "page-link" },
            UlElementClasses = new string[] { "pagination" },
            LiElementClasses = new string[] { "page-item" },
            DisplayItemSliceAndTotal = true,
            DisplayEllipsesWhenNotShowingAllPageNumbers = true,
            Display = PagedListDisplayMode.IfNeeded,
            DisplayLinkToFirstPage = PagedListDisplayMode.IfNeeded,
            DisplayLinkToLastPage = PagedListDisplayMode.IfNeeded
        }
    )
